Bug 1275276 - Fail if image context cannot be downloaded r=jhford
authorGregory Arndt <garndt@mozilla.com>
Tue, 24 May 2016 08:57:18 -0500
changeset 337967 7932129b6e5c819a8bee07f7c21260296a988d56
parent 337966 0edb406418261a3b078bab4f108a4948a13dd46f
child 337968 6926b3233f9c5b40ea0310eb855f3ee7acfcb35c
push id6249
push userjlund@mozilla.com
push dateMon, 01 Aug 2016 13:59:36 +0000
treeherdermozilla-beta@bad9d4f5bf7e [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersjhford
bugs1275276
milestone49.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1275276 - Fail if image context cannot be downloaded r=jhford MozReview-Commit-ID: DGOfH3MF2Sb
testing/docker/image_builder/VERSION
testing/docker/image_builder/bin/build_image.sh
--- a/testing/docker/image_builder/VERSION
+++ b/testing/docker/image_builder/VERSION
@@ -1,1 +1,1 @@
-0.1.4
+0.1.5
--- a/testing/docker/image_builder/bin/build_image.sh
+++ b/testing/docker/image_builder/bin/build_image.sh
@@ -16,17 +16,17 @@ raise_error() {
 # Ensure that the PROJECT is specified so the image can be indexed
 test -n "$PROJECT" || raise_error "Project must be provided."
 test -n "$HASH" || raise_error "Context Hash must be provided."
 
 mkdir /artifacts
 
 if [ ! -z "$CONTEXT_URL" ]; then
     mkdir /context
-    if ! curl -L --retry 5 --connect-timeout 30 "$CONTEXT_URL" | tar -xz --strip-components 1 -C /context; then
+    if ! curl -L --retry 5 --connect-timeout 30 --fail "$CONTEXT_URL" | tar -xz --strip-components 1 -C /context; then
         raise_error "Error downloading image context from decision task."
     fi
     CONTEXT_PATH=/context
 else
     tc-vcs checkout /home/worker/workspace/src $BASE_REPOSITORY $HEAD_REPOSITORY $HEAD_REV $HEAD_REF
     CONTEXT_PATH=/home/worker/workspace/src/$CONTEXT_PATH
 fi